Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2019-02194, UID# 2733
App. Status: Expired

Valid: 11/16/2019 - 11/19/2019
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2448 (11/15/2019)

Charge Cost Quantity Total
Non-Taxable
added 11/15/2019 11:17 AM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$580.00 x 1 $580.00
added 11/15/2019 11:17 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $610.00
Payment 11/15/2019$610.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 11/15/2019 11:03 AM
b9d68f3b42a0b1669b96b0692b2f9f3b
19ab26de433c2d702182e4778174ac95
 
#1 Permit Issuing OfficialRachel Grimm - 11/15/2019 11:22 AM
e5d8dea1018535843d0e638869097c92
309de69e8ad9a96d8a62cc635f21292c
 
Permit has been approved. All signatures have been obtained.